> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 204

> Wire-ready X12 204 load tender

### Path parameters

<ParamField path="partner_id" type="string" required>
  Partner ID
</ParamField>

### Request body

`Tender204`

<ParamField body="bol_number" type="string">
  L11\*BM — bill of lading number.
</ParamField>

<ParamField body="carrier_scac" type="string" required>
  B202 — Standard Carrier Alpha Code of the tendered carrier.
</ParamField>

<ParamField body="orders" type="TenderOrder[]" required />

<ParamField body="payment_method" type="string">
  B206 — method of payment: `PP` prepaid (default), `CC` collect.
</ParamField>

<ParamField body="pickup_date" type="string (date)">
  G62\*69 — requested pickup date.
</ParamField>

<ParamField body="ship_from" type="object" />

<ParamField body="ship_to" type="object" />

<ParamField body="shipment_id" type="string" required>
  B204 — shipment identification (the carrier echoes it in the 990/214).
</ParamField>

<ParamField body="weight" type="string">
  AT803 — total shipment weight.
</ParamField>

<ParamField body="weight_uom" type="string">
  AT802 — weight unit (default `L` pounds).
</ParamField>

### Response

No response body. Wire-ready X12 204 load tender.

### Status codes

| Code  | Meaning                                |
| ----- | -------------------------------------- |
| `200` | Wire-ready X12 204 load tender         |
| `403` | Not this credential's partner          |
| `422` | Invalid payload or delimiter collision |

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://edi.stateset.com/v1/edi/outbound/204/{partner_id}' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "bol_number": "string",
    "carrier_scac": "string",
    "orders": [
      {
        "po_number": "ORD-10042",
        "quantity": "string",
        "weight": "string"
      }
    ],
    "payment_method": "card",
    "pickup_date": "2026-08-31",
    "ship_from": {
      "address_lines": [
        "548 Market St"
      ],
      "city": "San Francisco",
      "country": "US",
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "id_qualifier": "string",
      "name": "Two-Person Tent",
      "postal_code": "94107",
      "role": "string",
      "state": "CA"
    },
    "ship_to": {
      "address_lines": [
        "548 Market St"
      ],
      "city": "San Francisco",
      "country": "US",
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "id_qualifier": "string",
      "name": "Two-Person Tent",
      "postal_code": "94107",
      "role": "string",
      "state": "CA"
    },
    "shipment_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "weight": "string",
    "weight_uom": "string"
  }'
  ```
</RequestExample>
